﻿using RabbitMQ.Client;
using System.Text;

namespace MSAdminUsuarios.Utils
{
    public static class RabbitMQMessages
    {
        public static void PublishToMessageQueue(IModel channel, string exchange, string routingKey, string message)
        {
            var body = Encoding.UTF8.GetBytes(message);

            channel.BasicPublish(
                exchange: exchange,
                routingKey: routingKey,
                basicProperties: null,
                body: body
            );
        }
    }
}
